%global __provides_exclude_from %{_libdir}/%{name}/modules/.*\\.so

%define major	19
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary: 	Modular SIP useragent
Name: 		baresip
Version: 	3.19.0
Release: 	%mkrel 1
License: 	BSD
Group: 		Communications/Telephony
URL: 		https://github.com/baresip/baresip
Source0:	https://github.com/baresip/baresip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(fdk-aac)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libmosquitto)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libre) >= %{version}
BuildRequires:	pkgconfig(codec2)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(spandsp)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	ffmpeg-devel
BuildRequires:	lame-devel

%description
Baresip is a portable and modular SIP User-Agent with audio and video support.

%package -n %{libname}
Summary:	Modular SIP useragent
Group:		System/Libraries
Provides:	%{_lib}baresip = %{version}-%{release}
Obsoletes:	%{_lib}baresip < 2.11.0-2

%description -n %{libname}
Shared libraries for Baresip, a portable and modular SIP User-Agent with audio
and video support.

%package -n %{devname}
Summary:	Development libraries and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development libraries and header for Baresip, a portable and modular SIP
User-Agent with audio and video support.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md docs/*
%{_bindir}/baresip
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/com.github.%{name}.desktop

%files -n %{libname}
%{_libdir}/libbaresip.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/baresip.h
%{_libdir}/libbaresip.so
%{_libdir}/pkgconfig/libbaresip.pc


%changelog
* Thu Jan 23 2025 daviddavid <daviddavid> 3.19.0-1.mga10
+ Revision: 2140704
- new version: 3.19.0

* Sun Jan 12 2025 daviddavid <daviddavid> 3.17.1-3.mga10
+ Revision: 2138621
- rebuild for new libvpx 1.14.1

* Sun Dec 08 2024 daviddavid <daviddavid> 3.17.1-2.mga10
+ Revision: 2122593
- rebuild for new ffmpeg 7.1

* Wed Nov 27 2024 daviddavid <daviddavid> 3.17.1-1.mga10
+ Revision: 2119557
- new version: 3.17.1
- now libmajor is 19
- enable pipewire, spandsp, fdk-aac-free and gstreamer support

* Sun Aug 25 2024 neoclust <neoclust> 3.14.0-1.mga10
+ Revision: 2091281
- New version 3.14.0

* Thu Feb 22 2024 daviddavid <daviddavid> 2.12.0-3.mga10
+ Revision: 2043040
- rebuild for new codec2

* Tue Oct 10 2023 danf <danf> 2.12.0-2.mga10
+ Revision: 1994023
- Rebuild for new libvpx

* Mon Feb 20 2023 wally <wally> 2.12.0-1.mga9
+ Revision: 1944251
- new version 2.12.0
- new lib major 4

* Fri Feb 10 2023 daviddavid <daviddavid> 2.11.0-4.mga9
+ Revision: 1939895
- enable mosquitto support
- really enable mp3lame support

* Thu Feb 09 2023 daviddavid <daviddavid> 2.11.0-3.mga9
+ Revision: 1939767
- enable mp3lame support

* Sun Jan 15 2023 daviddavid <daviddavid> 2.11.0-2.mga9
+ Revision: 1933390
- fix library pkg name

* Sun Jan 15 2023 daviddavid <daviddavid> 2.11.0-1.mga9
+ Revision: 1933367
- new version: 2.11.0
- now libmajor is 3

* Sun Dec 11 2022 wally <wally> 2.10.0-1.mga9
+ Revision: 1920584
- new version 2.10.0
- switch to cmake and ninja build

* Sun Nov 27 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1911683
- new version 2.9.0

* Tue Oct 11 2022 ghibo <ghibo> 2.8.2-1.mga9
+ Revision: 1896333
- Update to release 2.8.2
- Rebuild against libvpx 1.12.0 (changed major from 6 to 7)
+ neoclust <neoclust>
- New version 2.8.1

* Wed Sep 07 2022 wally <wally> 2.7.0-1.mga9
+ Revision: 1885063
- new version 2.7.0

* Sun Aug 07 2022 wally <wally> 2.6.0-1.mga9
+ Revision: 1875998
- new version 2.6.0

* Tue May 03 2022 wally <wally> 2.3.0-1.mga9
+ Revision: 1855637
- new version 2.3.0

* Sat Apr 23 2022 wally <wally> 2.0.2-1.mga9
+ Revision: 1852933
- new version 2.0.2

* Thu Mar 17 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1796768
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- 2.0.0
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Tue May 25 2021 akien <akien> 1.1.0-2.mga9
+ Revision: 1728200
- Rebuild for sndio 1.8.0 with fixed SONAME

* Sun May 09 2021 wally <wally> 1.1.0-1.mga9
+ Revision: 1722365
- new version 1.1.0

* Sat Oct 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1632003
- new version 1.0.0

* Sun Aug 02 2020 guillomovitch <guillomovitch> 0.6.6-1.mga8
+ Revision: 1610580
- new version 0.6.6

* Sat Feb 15 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1526828
- Mageia 8 Mass Rebuild

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.6.3-1.mga8
+ Revision: 1417250
- new version 0.6.3

* Mon Feb 18 2019 wally <wally> 0.6.1-1.mga7
+ Revision: 1368234
- new version 0.6.1

* Sun Feb 10 2019 zezinho <zezinho> 0.6.0-2.mga7
+ Revision: 1365099
- rebuild for libvpx 1.8.0

* Sat Dec 08 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1338969
- new version 0.6.0

* Wed Oct 10 2018 wally <wally> 0.5.11-1.mga7
+ Revision: 1319343
- new version 0.5.11

* Wed Sep 05 2018 guillomovitch <guillomovitch> 0.5.10-1.mga7
+ Revision: 1257281
- new version 0.5.10

* Sun Apr 29 2018 daviddavid <daviddavid> 0.5.9-1.mga7
+ Revision: 1223293
- new version: 0.5.9
- remove merged upstream patch

* Wed Jan 31 2018 guillomovitch <guillomovitch> 0.5.7-1.mga7
+ Revision: 1198246
- new version 0.5.7
  add ffmpeg-devel build dependency

* Wed Oct 25 2017 dlucio <dlucio> 0.5.6-1.mga7
+ Revision: 1173740
- add P0
- Fix default group
- add BR
- imported package baresip


* Fri Nov 5 2010 Alfred E. Heggestad <aeh@db.org> -
- Initial build.

